<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Cogl - a modern 3D graphics API</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="Cogl Reference Manual">
<link rel="up" href="index.html" title="Cogl Reference Manual">
<link rel="prev" href="index.html" title="Cogl Reference Manual">
<link rel="next" href="cogl-General-API.html" title="General API">
<meta name="generator" content="GTK-Doc V1.18.1 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2"><tr valign="middle">
<td><a accesskey="p" href="index.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
<td> </td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
<th width="100%" align="center">Cogl Reference Manual</th>
<td><a accesskey="n" href="cogl-General-API.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
</tr></table>
<div class="chapter">
<div class="titlepage"><div><div><h1 class="title">
<a name="idm140727932950912"></a>Cogl - a modern 3D graphics API</h1></div></div></div>
<div class="toc"><dl class="toc">
<dt><span class="section"><a href="ch01.html#cogl-intro">About Cogl</a></span></dt>
<dt>
<span class="refentrytitle"><a href="cogl-General-API.html">General API</a></span><span class="refpurpose"> — General purpose API</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Color-Type.html">Color Type</a></span><span class="refpurpose"> — A generic color definition</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Textures.html">Textures</a></span><span class="refpurpose"> — Functions for creating and manipulating textures</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Blend-Strings.html">Material Blend Strings</a></span><span class="refpurpose"> — A simple syntax and grammar for describing blending and texture
combining functions.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Materials.html">Materials</a></span><span class="refpurpose"> — Fuctions for creating and manipulating materials</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Primitives.html">Primitives</a></span><span class="refpurpose"> — Functions that draw various primitive 3D shapes</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Path-Primitives.html">Path Primitives</a></span><span class="refpurpose"></span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Clipping.html">Clipping</a></span><span class="refpurpose"> — Fuctions for manipulating a stack of clipping regions</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Vertex-Buffers.html">Vertex Buffers</a></span><span class="refpurpose"> — An API for submitting extensible arrays of vertex
  attributes to be mapped into the GPU for fast drawing.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Matrices.html">Matrices</a></span><span class="refpurpose"> — Functions for initializing and manipulating 4x4 matrices</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Shaders-and-Programmable-Pipeline.html">Shaders and Programmable Pipeline</a></span><span class="refpurpose"> — Fuctions for accessing the programmable GL pipeline</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Offscreen-Buffers.html">Offscreen Buffers</a></span><span class="refpurpose"> — Functions for creating and manipulating offscreen
                    framebuffers.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Bitmaps.html">Bitmaps</a></span><span class="refpurpose"> — Functions for loading images</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-Fixed-Point-API.html">Fixed Point API</a></span><span class="refpurpose"> — Fixed Point API</span>
</dt>
<dt>
<span class="refentrytitle"><a href="cogl-GType-Integration-API.html">GType Integration API</a></span><span class="refpurpose"></span>
</dt>
</dl></div>
<div class="section">
<div class="titlepage"><div><div><h2 class="title" style="clear: both">
<a name="cogl-intro"></a>About Cogl</h2></div></div></div>
<p>Cogl is a modern 3D graphics API with associated utility
      APIs designed to expose the features of 3D graphics hardware
      using a more object oriented design than OpenGL. The library has
      primarily been driven by the practical needs of Clutter but it
      is not tied to any one toolkit or even constrained to developing
      UI toolkits.</p>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.18.1</div>
</body>
</html>